Subject: Re: CCL:CCL: Sample OpenGL code for Molecular Display.

From: Konrad Hinsen <[email-masked]>
Date: Sun, 22 Dec 1996 11:13:37 +0100

>   Does anyone have sample OpenGL code for 3D display of molecules 
> (stick, ball and stick, or CPK) that they would be willing to share.  I 
> am working on a GUI for some of my programs and would like to include 
> display of molecules and density surfaces.  I can do the coding 

An alternative you could consider is using VRML. VRML code is easy to
produce, and there are a number of VRML browsers available for free.
I do have some VRML producing code (written in Python), including support
for wireframe and all-and-stick models for molecules, in case anyone
is interested.

-- 
-------------------------------------------------------------------------------
Konrad Hinsen                          | E-Mail: [email-masked]
Laboratoire de Dynamique Moleculaire   | Tel.: +33-4.76.88.99.28
Institut de Biologie Structurale       | Fax:  +33-4.76.88.54.94
41, av. des Martyrs                    | Deutsch/Esperanto/English/
38027 Grenoble Cedex 1, France         | Nederlands/Francais
-------------------------------------------------------------------------------

---

From: Masakatsu Ito <[email-masked]>
Date: Tue, 24 Dec 1996 14:53:11 +0900

> (stick, ball and stick, or CPK) that they would be willing to share.  I 

  I've been employing vtk (the Visualization Toolkit) to develope
the program for visualizing my MD calculations. Vtk is a C++ class
libraray. The renderer libraries that vtk supports are Sun's XGL,
SGI's GL and OpenGL, HP's starbase and the Mesa OpenGL renderer
which should work on most machines that have X-windows.

The home page of vtk is,
	http://www.cs.rpi.edu/~martink/

Masakatsu Ito
Department of Structual Molecular Science
The Graduate University for Advanced Studies
Tel 81(Japan)-52-789-3656 Fax 81(Japan)-52-789-3551
E-mail [email-masked]
Web http://www.chem.nagoya-u.ac.jp/~mito/mitoEng.html